package com.tofly.feesapi.security.exception;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import com.tofly.feesapi.security.compent.ToflyAuth2ExceptionSerializer;

@JsonSerialize(using = ToflyAuth2ExceptionSerializer.class)
public class InvalidException extends ToflyAuth2Exception {
    public InvalidException(String msg, Throwable t) {
        super(msg);
    }

    @Override
    public String getOAuth2ErrorCode() {
        return "invalid_exception";
    }

    @Override
    public int getHttpErrorCode() {
        return 426;
    }
}
